Subject: bug#42775: 27.1; mhtml-mode eval errorr in c-lang-defvar or c-lang-setvar

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 09 Aug 2020 14:03:07 +0200

Teemu Likonen <[email-masked]> writes:

> When html file is opened with the default html major mode mhtml-mode the
> minibuffer will show this error message:
>
>     Eval error in the ‘c-lang-defvar’ or ‘c-lang-setvar’ for
>     ‘font-lock-comment-end-skip’ (fallback source eval - js-mode compiled
>     with CC Mode 5.34 but loaded with 5.34.1): (error
>     "‘c-font-lock-comment-end-skip’ got no (prior) value in js-mode (might
>     be a cyclic reference)") [2 times] mhtml-mode
>
> I think this can be seen with any html file but I have attached a simple
> "test.html" for testing.
>
>     emacs -Q test.html

I'm unable to reproduce this bug in Emacs 27.1 (or Emacs 28) -- with the
recipe, the buffer displays as normal, and I don't get any errors.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no